#!/bin/sh

data_dir=$HOME/simsys/examples/aflr4_caps

testing_dir=$HOME/simsys/testing/aflr4_caps

dirs="${data_dir}/AFLR4examples ${data_dir}/AFLR4unit"

cd ${testing_dir}

for dir in $dirs; do

	sub_dirs="$dir/*"

	for sub_dir in ${sub_dirs}; do

		case_name="`basename ${sub_dir}`"
		input_file="${sub_dir}/aflr4_debug.egads"
		log_file="${case_name}.aflr4.log"
		output_file="${case_name}.meshb"

		aflr4 -i ${input_file} -o ${output_file} -Memory_Monitor -log $*
	done
done
